#
# spec file for package perl-Devel-FindPerl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-FindPerl
Version:        0.014
Release:        6.1
%define cpan_name Devel-FindPerl
Summary:        Find the path to your perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-FindPerl/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Recommends:     perl(ExtUtils::Config) >= 0.007
%{perl_requires}

%description
This module tries to find the path to the currently running perl. It
(optionally) exports the following functions:

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Jun 16 2015 coolo@suse.com
- updated to 0.014
  see /usr/share/doc/packages/perl-Devel-FindPerl/Changes
  0.014     2015-06-15 23:53:25+02:00 Europe/Amsterdam
    Properly quote exe_ext in regexp
* Mon Jun 15 2015 coolo@suse.com
- updated to 0.013
  see /usr/share/doc/packages/perl-Devel-FindPerl/Changes
  0.013     2015-06-14 19:50:03+02:00 Europe/Amsterdam
    Skip taint test on portable perl
    Various minor changes
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.012
    Minor fixes in tests
    Fix other environmental variables in tainted mode.
    Add a non-empty PATH, to make *bsd happy
    Compare configuration case-insensitively, to make Windows happy
    find_perl_interpreter now return an array
    Always empty $ENV{PATH} before open2
    Append executable extension to expected tainted path
    Soften dependency on ExtUtils::Config
    Rewrite tests not to depend on Capture::Tiny
    Export perl_is_same
    Handle tainting better
* Wed Jul 31 2013 coolo@suse.com
- initial package 0.006
  * created by cpanspec 1.78.06
